mia-2dfluid-syn-registration(1)

NAME
mia-2dfluid-syn-registration - Non-linear registration of 2D images by using a diffeomorphic SyN registration

SYNOPSIS
mia-2dfluid-syn-registration -i <in-image> -r <ref-image> -o <transform> -O <inverse-transform> [options]

DESCRIPTION
mia-2dfluid-syn-registration This program implements the registration of two gray scale 2D images. The transformation applied is a symmeric diffeomorpic fluid dynamic registration. To work most efficiently, this program makes a few assumptions about the imput data, i.e. the image must be of the same size, have the same voxel spacing, and any intensity range normalization or equalization should also be done before calling this program.

OPTIONS

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  IO

    -i --in-image=(input, required); io
        test image
         For supported file types see PLUGINS:2dimage/io

    -r --ref-image=(input, required); io
        reference image
         For supported file types see PLUGINS:2dimage/io

    -o --transform=(output, required); io
        output transformation
         For supported file types see PLUGINS:2dtransform/io

    -O --inverse-transform=(output, required); io
        inverse output transformation
         For supported file types see PLUGINS:2dtransform/io

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

  Registration

    -l --mg-levels=3
        Number of multi-resolution levels to run the registration on. Not that some registration parameters can be given as a coma separated list to indicate per level values. In these cases if the number of given values is smaller than the number of multi-resolution levels (this parameter), the the last given value is used for all subsequent multi-resolution levels.

    -S --step=0.25; float in (0, 0.5]
        Initial step size for all levels

    -c --cost=ssd
        Image similarity function to be minimized
         For supported plugins see PLUGINS:2dimage/cost

    -R --regularizer=sor:kernel=fluid,maxiter=50
        Regularization for the force to transformation update
         For supported plugins see PLUGINS:2dvf/regularizer

    -T --conv-test-interval=; vuint in [4, 40]
        Convergence test interations intervall: In order to measure convergence the cost function value is averaged over this amount of iterations, and the decline rate is evaluated based on the linare regression of the cost function values in this intervall. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

    -D --stop-decline-rate=; vdouble in [0, inf)
        Stopping criterium for registration based on the cost decline rate. If the rate below this value, the iteration is stopped. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

    -C --stop-cost=
        Stopping criterium for registration based on the cost value. If the cost drops below this value, the iteration is stopped. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

    -I --iter=; vuint in [4, inf)
        Naximum number if iterations done on each multi-resolution level. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

PLUGINS: 1d/splinekernel

bspline
    B-spline kernel creation , supported parameters are:

    d = 3; int in [0, 5]
        Spline degree.

omoms
    OMoms-spline kernel creation, supported parameters are:

    d = 3; int in [3, 3]
        Spline degree.

PLUGINS: 2dimage/cost

lncc
    local normalized cross correlation with masking support., supported parameters are:

    w = 5; uint in [1, 256]
        half width of the window used for evaluating the localized cross correlation.

lsd Least-Squares Distance measure

    (no parameters)

mi  Spline parzen based mutual information., supported parameters are:

    cut = 0; float in [0, 40]
        Percentage of pixels to cut at high and low intensities to remove outliers.

    mbins = 64; uint in [1, 256]
        Number of histogram bins used for the moving image.

    mkernel = [bspline:d=3]; factory
        Spline kernel for moving image parzen hinstogram. For supported plug-ins see PLUGINS:1d/splinekernel

    rbins = 64; uint in [1, 256]
        Number of histogram bins used for the reference image.

    rkernel = [bspline:d=0]; factory
        Spline kernel for reference image parzen hinstogram. For supported plug-ins see PLUGINS:1d/splinekernel

ncc normalized cross correlation.

    (no parameters)

ngf This function evaluates the image similarity based on normalized gradient fields. Various evaluation kernels are available., supported parameters are:

    eval = ds; dict
        plugin subtype. Supported values are:
            sq - square of difference
            ds - square of scaled difference
            dot - scalar product kernel
            cross - cross product kernel

ssd 2D imaga cost: sum of squared differences, supported parameters are:

    autothresh = 0; float in [0, 1000]
        Use automatic masking of the moving image by only takeing intensity values into accound that are larger than the given threshold.

    norm = 0; bool
        Set whether the metric should be normalized by the number of image pixels.

ssd-automask
    2D image cost: sum of squared differences, with automasking based on given thresholds, supported parameters are:

    rthresh = 0; double
        Threshold intensity value for reference image.

    sthresh = 0; double
        Threshold intensity value for source image.

PLUGINS: 2dimage/io

bmp BMP 2D-image input/output support. The plug-in supports reading and writing of binary images and 8-bit gray scale images. read-only support is provided for 4-bit gray scale images. The color table is ignored and the pixel values are taken as literal gray scale values.

    Recognized file extensions: .BMP, .bmp

    Supported element types:
        binary data, unsigned 8 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    2D image io for DICOM

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

exr a 2dimage io plugin for OpenEXR images

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

jpg a 2dimage io plugin for jpeg gray scale images

    Recognized file extensions: .JPEG, .JPG, .jpeg, .jpg

    Supported element types:
        unsigned 8 bit

png a 2dimage io plugin for png images

    Recognized file extensions: .PNG, .png

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit

raw RAW 2D-image output support

    Recognized file extensions: .RAW, .raw

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

tif TIFF 2D-image input/output support

    Recognized file extensions: .TIF, .TIFF, .tif, .tiff

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit, unsigned 32 bit

vista
    a 2dimage io plugin for vista images

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

PLUGINS: 2dtransform/io

bbs Binary (non-portable) serialized IO of 2D transformations

    Recognized file extensions: .bbs

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    Vista storage of 2D transformations

    Recognized file extensions: .v2dt

xml XML serialized IO of 2D transformations

    Recognized file extensions: .x2dt

PLUGINS: 2dvf/regularizer

sor This plugin implements successive (over-)relaxation as a solver to regularize the vector field., supported parameters are:

    abs_f = 0.01; float in [0, inf)
        breaking condition: absolute residuum.

    kernel = fluid; factory
        solver kernel to be used. For supported plug-ins see PLUGINS:2dvf/regularizerkernel

    maxiter = 100; uint in [0, inf)
        maximum number of iterations.

    rel_f = 1e-05; float in (0, 1)
        breaking condition: relative residuum.

PLUGINS: 2dvf/regularizerkernel

fluid
    Evaluation kernel for the fluid-dynamics solver, either using successive (over-)relaxation, or a Gauss-Southwell relaxation. This implementation is generic and doesn't implement any architecture specific optimizations., supported parameters are:

    lambda = 1; float in [0, 10000]
        bulk viscosity (compressibility).

    mu = 1; float in (0, 10000]
        dynamic viscosity (shear).

    relax = 1; float in [0.1, 2]
        Relaxation parameter for the solver.

EXAMPLE
Register image test.v to image ref.v saving the transformation to transform.v and the inverse transform to inverse-transform.v. Use three multiresolution levels, ssd as image cost function.

mia-2dfluid-syn-registration -i test.v -r ref.v -t transform.v -T inverse-transform.v -l 3 ssd

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.